VerifyClass (groovy 2.4.3 API)
Date: 2015-03-23

Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `execute()`
    `void` | `setDir(String dir)`
    `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `setIncludes, setExcludes, setCaseSensitive, setProject, addSelector, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addAnd, addOr, addNot, addNone, addMajority, addSize, addDifferent, addFilename, addType, addCustom, addContains, addPresent, addDepth, addDepend, addContainsRegexp, addModified, createInclude, createPatternSet, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, setExcludesfile, setDefaultexcludes, XsetItems, XsetIgnore, addDate, add, getTaskName, setTaskName, getOwningTarget, getTaskType, setTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, execute, log, log, log, log, init, setLocation, getDescription, setDescription, getProject, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `getTaskName, setTaskName, getOwningTarget, getTaskType, setTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, execute, log, log, log, log, init, setProject, setLocation, getDescription, setDescription, getProject, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)